Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.wadl.config
Class WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

    java.lang.Object
      com.sun.jersey.api.wadl.config.WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

Enclosing class:
  WadlGeneratorConfig

    public static class WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

extends java.lang.Object

Constructor Summary
`WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder()`

Method Summary
`WadlGeneratorConfig` | `build()`
`java.util.List<WadlGeneratorDescription>` | `descriptions()`
`WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder` | `generator(java.lang.Class<? extends WadlGenerator> generatorClass)`
`WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder` | `prop(java.lang.String propName, java.lang.String propValue)` Specify the property value for the current `WadlGenerator`. The `WadlGenerator` property can be of type `String`, `File` or any other type that provides a `String` constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

    public WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder()

Method Detail

### generator

    public WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder generator(java.lang.Class<? extends WadlGenerator> generatorClass)

### prop

    public WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder prop(java.lang.String propName,
                                                                          java.lang.String propValue)

  Specify the property value for the current `WadlGenerator`.
  The `WadlGenerator` property can be of type `String`, `File` or any other type that provides a `String` constructor. If the `WadlGenerator` property is of type `File`, then the specified property value can start with the prefix classpath: to denote, that the File shall be loaded from the classpath like this:

      new File( generator.getClass().getResource( strippedFilename ).toURI() )

  Notice that the file is loaded as a resource from the classpath in this case, therefore classpath:test.xml refers to a file in the package of the specified `<classname>`. The file reference classpath:/test.xml refers to a file that is in the root of the classpath.

  Parameters:
    `propName` - the property name
    `propValue` - the stringified property value
  Returns:
    this builder instance

### descriptions

    public java.util.List<WadlGeneratorDescription> descriptions()

### build

    public WadlGeneratorConfig build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.